<!DOCTYPE html>
<html lang="es">
<%- include('../partials/head', {title : 'Lista de noticias' }) %>

    <body class="admin-body">
        <%- include('../components/navBar') %>

        <div class="admin">
            <div class="row">
                <%- include('../components/sideBarMenu') %>

                <main class="col-md-9 px-5">
                    <section>
                        <div class="title-admin">
                            <h1>Lista de noticias activas</h1>                        
                        </div>
                        <div class="table-responsive">
                        <!-- <div class=""> -->
                            <table id="table-news" class="table table-striped" >
                                <thead>
                                    <tr>
                                        <th>Titulo</th>
                                        <th>Resumen</th>
                                        <th>Portal principal</th>
                                        <th>Posición</th>
                                        <th>Fecha de Publicación</th>
                                        <th>Acciones</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <% dataNewsActives.forEach(news => { %>
                                        <tr>
                                            <td>
                                                <a href="/admin/<%= news.id %>/noticia">
                                                    <%= news.title %>
                                                </a>
                                            </td>
                                            <td><%- news.summary %></td>
                                            <td>
                                                <form class="" action="/admin/<%= news.id %>/actualizar-estado-portal-noticia?_method=PUT" method="post">
                                                    <% if(news.activeForPortal) { %>
                                                        <button type="submit" class="btn btn-success">
                                                            <!-- <span class="badge bg-success">SI</span> -->
                                                            SI
                                                        </button>
                                                    <% } else { %>
                                                        <button type="submit" class="btn btn-danger">
                                                            <!-- <span class="badge bg-danger">NO</span> -->
                                                            NO
                                                        </button>
                                                    <%} %>
                                                </form>                                                                                                
                                            </td>
                                            <td class="text-center"><%= news.position %></td>
                                            <td><%= news.createdAt.getFullYear() %>-<%= news.createdAt.getMonth()+1 %>-<%= news.createdAt.getDate() %></td>
                                            <td>
                                                <div class="btn-group">
                            
                                                    <div class="">
                                                        <a href="/admin/<%= news.id %>/editar-noticia">
                                                            <button type="submit" class="btn btn-sm btn-institucional" style="border-radius: 5px 0 0 5px;">
                                                                <i class="bi bi-pencil-square"></i>Editar
                                                            </button>
                                                        </a>
                                                    </div>                                                
                                                    <div class="">
                                                        <a href="/admin/<%= news.id %>/noticia">
                                                            <button type="submit" class="btn btn-sm btn-institucional" style="border-radius: 0">
                                                                <i class="bi bi-eye-fill"></i>
                                                                Vista previa
                                                            </button>                                                               
                                                        </a>
                                                    </div>
                                                    <div class="">
                                                        <form class="" action="/admin/<%= news.id %>/actualizar-estado-noticia?_method=PUT" method="post">
                                                            <button type="submit" class="btn btn-sm btn-institucional" style="border-radius: 0 5px 5px 0;">
                                                                <i class="bi bi-person-check"></i>
                                                                Desactivar
                                                            </button>
                                                        </form>
                                                    </div>
                                                </div>
                                            </td>
                                        </tr>
                                    <% }) %>  
                                </tbody>
                            </table>
                        </div>
                    </section> 

                    <section>
                        <div class="title-admin">
                            <h1>Lista de noticias inactivas</h1>                        
                        </div>
                        
                        <table id="table-news-inactives" class="table table-striped">
                            <thead>
                                <tr>
                                    <th>Titulo</th>
                                    <th>Resumen</th>
                                    <th>Portal principal</th>
                                    <th>Posición</th>
                                    <th>Fecha de Publicación</th>                                    
                                    <th>Acciones</th>
                                </tr>
                            </thead>
                            <tbody>
                                <% dataNewsInactives.forEach(news => { %>
                                    <tr>
                                        <td>
                                            <a href="/admin/<%= news.id %>/noticia">
                                                <%= news.title %>
                                            </a>
                                        </td>
                                        <td><%- news.summary %></td>
                                        <td>
                                            <form class="" action="/admin/<%= news.id %>/actualizar-estado-portal-noticia?_method=PUT" method="post">
                                                <% if(news.activeForPortal) { %>
                                                    <button type="submit" class="btn btn-success">                                                        
                                                        SI
                                                    </button>
                                                <% } else { %>
                                                    <button type="submit" class="btn btn-danger">
                                                        NO
                                                    </button>
                                                <%} %>
                                            </form>       
                                        </td>
                                        <td class="text-center"><%= news.position %></td>
                                        <td><%= news.createdAt.getFullYear() %>-<%= news.createdAt.getMonth() + 1 %>-<%= news.createdAt.getDate() %></td>
                                        <td>
                                            <div class="btn-group">
                        
                                                <div class="me-4">
                                                    <a href="/admin/<%= news.id %>/editar-noticia">
                                                        <button type="submit" class="btn btn-institucional" style="border-radius: 5px 0 0 5px;">
                                                            <i class="bi bi-pencil-square"></i>Editar
                                                        </button>
                                                    </a>
                                                </div>                                                
                                                <div class="me-4">
                                                    <button type="submit" class="btn btn-secondary" style="border-radius: 0">
                                                        <a href="/admin/<%= news.id %>/noticia">
                                                            <i class="bi bi-eye-fill"></i>
                                                            Vista previa
                                                        </a>
                                                    </button> 
                                                </div>

                                                <div class="me-4">
                                                    <form class="" action="/admin/<%= news.id %>/actualizar-estado-noticia?_method=PUT" method="post">
                                                        <button type="submit" class="btn btn-secondary">
                                                            <i class="bi bi-person-check"></i>
                                                            Activar
                                                        </button>
                                                    </form>
                                                </div>

                                                <div class="me-4">
                                                    <form class="" action="/admin/<%= news.id %>/borrar-noticia?_method=DELETE" method="post">
                                                        <button type="submit" class="btn btn-rojo">
                                                            <i class="bi bi-trash3-fill"></i>
                                                            Eliminar
                                                        </button>
                                                    </form>
                                                </div>
                                            </div>
                                        </td>
                                    </tr>
                                <% }) %>  
                            </tbody>
                        </table>
                    
                    </section> 

                </main>
            </div>
        </div>


        <script>
            document.addEventListener("DOMContentLoaded", function () {
                let tabla = new DataTable('#table-news', {
                    responsive:true,                    
                    // "lengthMenu": [[10, 25, 50, -1], [10, 25, 50, 100]],
                    "language": {
                        searchPlaceholder: "Búsqueda",
                        paginate: {
                            first: "Primera",
                            last: "Ultima",
                            previous: "Anterior",
                            next: "Siguiente",
                        },
                        url: 'https://cdn.datatables.net/plug-ins/1.11.5/i18n/es-ES.json',
                        search: "Buscar: ",
                        processing: "Tratamiento en curso...",
                        "lengthMenu": "Mostrar _MENU_  registros",
                        "zeroRecords": "No se encontró ningún registro en el rango de fecha",
                        "info": "Mostrando registros del _PAGE_ al _PAGES_ de un total de _MAX_ registros",
                        "infoEmpty": "No hay registros disponibles",
                        "infoFiltered": "(filtrado de _MAX_ registros totales)"
                    },
                    "columnDefs": [
                        {
                            "targets": "_all", // Selecciona todas las columnas
                            "visible": true // Establece todas las columnas como visibles
                        }
                    ],
                    
                });
                let tablaInactivos = new DataTable('#table-news-inactives', {
                    responsive:true,
                    // "lengthMenu": [[10, 25, 50, -1], [10, 25, 50, 100]],
                    "language": {
                        searchPlaceholder: "Búsqueda",
                        paginate: {
                            first: "Primera",
                            last: "Ultima",
                            previous: "Anterior",
                            next: "Siguiente",
                        },
                        url: 'https://cdn.datatables.net/plug-ins/1.11.5/i18n/es-ES.json',
                        search: "Buscar: ",
                        processing: "Tratamiento en curso...",
                        "lengthMenu": "Mostrar _MENU_  registros",
                        "zeroRecords": "No se encontró ningún registro en el rango de fecha",
                        "info": "Mostrando registros del _PAGE_ al _PAGES_ de un total de _MAX_ registros",
                        "infoEmpty": "No hay registros disponibles",
                        "infoFiltered": "(filtrado de _MAX_ registros totales)"
                    },
                });
            })
        </script>
    </body>

</html>